-- Configuration
local on = 1 -- Enables auto-follow. 1 - on, nil - off.
local whispCommand = "!plz" -- The whisper command to trigger the follow.

-- Local Table
local aName, aTable = ...

-- Locals
local pName = aName..": "

function aTable:OnEvent(event, ...)
	local msg, name = ...

	if event == "CHAT_MSG_WHISPER" then
		aTable.Invitez0rz(msg, name)
	end
	
	if event == "AUTOFOLLOW_BEGIN" then
		SendChatMessage(UnitName("player").." is now on follow.", "WHISPER", nil, name)
	end
	
	if event == "AUTOFOLLOW_END" then
		SendChatMessage(UnitName("player").."'s follow has broken.", "WHISPER", nil, name)
	end
end

function aTable.Invitez0rz(msg, name)
	if msg == whispCommand then
		if UnitInParty(name) == 1 then
			FollowUnit(name)
			else
			SendChatMessage(pname..UnitName("player").." isn't in your group. Sorry.", "WHISPER", nil, name)
		end
	else
		return
	end
end

-- Need a frame to attach to.
local f = CreateFrame("Frame")
f:RegisterEvent("CHAT_MSG_WHISPER")
f:RegisterEvent("AUTOFOLLOW_BEGIN")
f:RegisterEvent("AUTOFOLLOW_END")
f:SetScript("OnEvent", aTable.OnEvent)
